using System;
using System.Numerics;
class spojler
{
    static void Main()
    {
        string[] prva=Console.ReadLine().Split();
        BigInteger n= BigInteger.Parse(prva[0]);
        BigInteger m= BigInteger.Parse(prva[1]);
        BigInteger r;
        if(m%2==0)
        {
            r=2*n+2*(m-2)+(m-2)/2*(n-2);
        }
        else if(n%2==0)
        {
            r=2*n+2*(m-2)+((m-2)/2+1)*((n-2)/2)+((m-2)/2)*((n-2)/2);
        }
        else
        {
            r=2*n+2*(m-2)+((m-2)/2+1)*((n-2)/2)+((m-2)/2)*((n-2)/2+1);
        }
        Console.WriteLine(r);
    }
}